hadoop-yarn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sonia Garudi (JIRA)" <j...@apache.org>
Subject [jira] [Created] (YARN-6421) Build failure in Yarn-UI on ppc64le
Date Fri, 31 Mar 2017 12:20:42 GMT
Sonia Garudi created YARN-6421:
----------------------------------

             Summary: Build failure in Yarn-UI on ppc64le
                 Key: YARN-6421
                 URL: https://issues.apache.org/jira/browse/YARN-6421
             Project: Hadoop YARN
          Issue Type: Bug
          Components: yarn-ui-v2
    Affects Versions: 3.0.0-alpha3
         Environment: Ubuntu 14.04 
ppc64le
$ java -version
openjdk version "1.8.0_111"
OpenJDK Runtime Environment (build 1.8.0_111-8u111-b14-3~14.04.1-b14)
OpenJDK 64-Bit Server VM (build 25.111-b14, mixed mode)
            Reporter: Sonia Garudi


The build fails with the following message :
{code}
[ERROR] /ws/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-ui/target/src/main/webapp/node/node:
1: /ws/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-ui/target/src/main/webapp/node/node:ELF:
not found
[ERROR] /ws/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-ui/target/src/main/webapp/node/node:
21: /ws/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-ui/target/src/main/webapp/node/node:
Syntax error: ")" unexpected
{code}

The error is due to frontend-maven plugin version 0.0.22, which does not have support for
ppc64le. It downloads the x86 version of node. 
ppc64le support was added to frontend-maven-plugin in version 1.1.





--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-dev-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-dev-help@hadoop.apache.org


Mime
View raw message